YSTest: YSLib::Components::Renderer Class Reference

YSTest PreAlpha_b380_20130211 The YSLib Test Project

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
YSLib::Components::Renderer Class Reference

部件渲染器。 More...

`#include <yrender.h>`

Inheritance diagram for YSLib::Components::Renderer:
[legend]

## Public Member Functions

| Renderer ()=default
| Renderer (const Renderer &)=default
| Renderer (Renderer &&)=default
virtual Renderer * | Clone () const
virtual | ~Renderer ()
virtual void | SetSize (const Size &)
| 设置缓冲区大小。
virtual Rect | CommitInvalidation (const Rect &r)
| 提交无效区域。
virtual Rect | Paint (IWidget &wgt, PaintEventArgs &&)
| 按参数绘制。

## Detailed Description

部件渲染器。

无缓冲渲染策略：不保存部件渲染状态和有效的图形接口上下文。

Since
  build 237

Definition at line 44 of file yrender.h.

## Constructor & Destructor Documentation

YSLib::Components::Renderer::Renderer | ( |  | ) |

inlinedefault

YSLib::Components::Renderer::Renderer | ( | const Renderer & |  | ) |

inlinedefault

YSLib::Components::Renderer::Renderer | ( | Renderer && |  | ) |

inlinedefault

virtual YSLib::Components::Renderer::~Renderer | ( |  | ) |

inlinevirtual

Definition at line 51 of file yrender.h.

## Member Function Documentation

virtual Renderer* YSLib::Components::Renderer::Clone | ( |  | ) | const

inlinevirtual

Reimplemented in YSLib::Components::BufferedRenderer.

Definition at line 50 of file yrender.h.

virtual Rect YSLib::Components::Renderer::CommitInvalidation | ( | const Rect & | r | ) |

inlinevirtual

提交无效区域。

Reimplemented in YSLib::Components::BufferedRenderer.

Definition at line 65 of file yrender.h.

YSL_BEGIN Rect Renderer::Paint | ( | IWidget & | wgt,
|  | PaintEventArgs && | e
| ) |  |

virtual

按参数绘制。

Precondition
  断言： `&e.GetSender().GetRenderer() == this` 。

Note
  调用 wgt 的 Paint 事件绘制。
  不调用 wgt.IsVisible() 检查可见性。
  派生类行为可能改变，不直接调用事件。

Since
  build 263

Reimplemented in YSLib::Components::BufferedRenderer.

Definition at line 37 of file yrender.cpp.

References YAssert.

virtual void YSLib::Components::Renderer::SetSize | ( | const Size & |  | ) |

inlinevirtual

设置缓冲区大小。

Note
  空实现。

Reimplemented in YSLib::Components::BufferedRenderer.

Definition at line 58 of file yrender.h.

The documentation for this class was generated from the following files:

- yrender.h
- yrender.cpp